This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 439337 - Review Request: python-sphinx - Python documentation generator
Review Request: python-sphinx - Python documentation generator
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 23:46 EDT by Michel Alexandre Salim
Modified: 2014-06-13 11:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.3-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-06 02:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jamatos: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Patch to include more documentation (html and rst). (939 bytes, patch)
2008-04-16 07:46 EDT, José Matos
no flags Details | Diff

  None (edit)
Description Michel Alexandre Salim 2008-03-27 23:46:02 EDT
Spec URL: http://salimma.fedorapeople.org/for_review/python/python-sphinx.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/python/python-sphinx-0.1.61950-1.fc9.src.rpm
Description:

Sphinx is a tool that makes it easy to create intelligent and
beautiful documentation for Python projects (or other documents
consisting of multiple reStructuredText sources), written by Georg
Brandl. It was originally created to translate the new Python
documentation, but has now been cleaned up in the hope that it will be
useful to many other projects.

Sphinx uses reStructuredText as its markup language, and many of its
strengths come from the power and straightforwardness of
reStructuredText and its parsing and translating suite, the Docutils.

Although it is still under constant development, the following
features are already present, work fine and can be seen "in action" in
the Python docs:

    * Output formats: HTML (including Windows HTML Help) and LaTeX,
      for printable PDF versions

    * Extensive cross-references: semantic markup and automatic links
      for functions, classes, glossary terms and similar pieces of
      information
    * Hierarchical structure: easy definition of a document tree, with
      automatic links to siblings, parents and children
    * Automatic indices: general index as well as a module index
    * Code handling: automatic highlighting using the Pygments highlighter
    * Various extensions are available, e.g. for automatic testing of
      snippets and inclusion of appropriately formatted docstrings.
Comment 1 Jason Tibbitts 2008-04-05 00:08:07 EDT
When I attempt to build this in mock, I get:

+ /usr/bin/python setup.py build
---------------------------------------------------------------------------
This script requires setuptools version 0.6c5 to run (even to display
help).  I will attempt to download it for you (from
http://cheeseshop.python.org/packages/2.5/s/setuptools/), but
you may need to enable firewall access for this script first.
I will start the download in 15 seconds.
(Note: if this machine does not have network access, please obtain the file
   http://cheeseshop.python.org/packages/2.5/s/setuptools/setuptools-0.6c5-py2.5.egg
and place it in this directory before rerunning this script.)
---------------------------------------------------------------------------

which obviously isn't going to work as mock cannot access the network.
Comment 2 Michel Alexandre Salim 2008-04-09 14:57:52 EDT
Ah, missed some builddeps there. Will fix tonight, thanks. Just to clarify,
you're not officially reviewing this package, right?
Comment 4 José Matos 2008-04-14 11:53:38 EDT
I can review this package if Jason does not want and/or is too busy. :-)
Comment 5 José Matos 2008-04-14 12:22:55 EDT
Just for reference here it is my review:

Review for release 1.fc9:
* RPM name is OK
* Source Sphinx-0.1.61950.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* The license is OK (and included in the package)

(30 checks have been run)
Comment 6 Jason Tibbitts 2008-04-15 12:46:19 EDT
It's fair game if I've not assigned the review to myself, so please go ahead.
Comment 7 José Matos 2008-04-16 07:44:42 EDT
Thanks Jason.

Michel the package looks OK there is a single problem:
rpmlint of python-sphinx:
python-sphinx.noarch: W: devel-file-in-non-devel-package
/usr/lib/python2.5/site-packages/sphinx/jinja/_speedups.c

Also IMHO you could build the documentation in the %build stage, there is a
Makefile in doc where the different targets are explained. The doc directory
with the rst documents is interesting by itself so I suggest to package it.

I suggest something like the patch that I will place in the next entry.
Comment 8 José Matos 2008-04-16 07:46:53 EDT
Created attachment 302585 [details]
Patch to include more documentation (html and rst).

Patch to include more documentation (html and rst).
Comment 9 Michel Alexandre Salim 2008-05-02 14:01:05 EDT
Thanks Jose. Will incorporate the patch -- I should probably split it into a
-doc subpackage as well.
Comment 10 Michel Alexandre Salim 2008-05-02 14:20:46 EDT
Problem fixed, documentation included and split into -doc. Thanks for the
suggestion -- ready when you are, Jose.

Spec URL: http://salimma.fedorapeople.org/for_review/python/python-sphinx.spec
SRPM URL:
http://salimma.fedorapeople.org/for_review/python/python-sphinx-0.1.61950-3.fc9.src.rpm

Comment 11 José Matos 2008-05-12 11:05:35 EDT
I like what I see. :-)

Just one other request, the new 0.3 version has been released, could you,
please, update the spec file?

As soon as you do that I will review and approve the package.
Comment 12 Michel Alexandre Salim 2008-05-26 20:51:07 EDT
Ah, thanks. Spec and SRPM updated:

Spec URL: http://salimma.fedorapeople.org/for_review/python/python-sphinx.spec
SRPM URL:
http://salimma.fedorapeople.org/for_review/python/python-sphinx-0.3-1.fc9.src.rpm
Comment 13 José Matos 2008-05-30 06:04:30 EDT
Two brief notes:

1) You define %pyver but you never use it.
2) The srpm spec file still has the exclusion part while the spec you present in
the entry above  does not have it. Of course the spec without the exclusion is
the right one.

These points are minor and can be fixed later when importing.

APPROVED.
Comment 14 Michel Alexandre Salim 2008-06-05 10:01:44 EDT
Thanks, %{pyver} must have been a leftover from the default spec. Will
double-check when committing

New Package CVS Request
=======================
Package Name: python-sphinx
Short Description: Python documentation generator
Owners: salimma
Branches: EL-5 F-8 F-9
InitialCC:
Cvsextras Commits: yes


Comment 15 Kevin Fenzi 2008-06-05 12:17:48 EDT
cvs done.
Comment 16 Michel Alexandre Salim 2008-06-06 12:38:57 EDT
Thanks.
Comment 17 Fedora Update System 2008-06-06 13:40:24 EDT
python-sphinx-0.3-1.fc9 has been submitted as an update for Fedora 9
Comment 18 Fedora Update System 2008-06-06 13:41:33 EDT
python-sphinx-0.3-1.fc8 has been submitted as an update for Fedora 8
Comment 19 Fedora Update System 2008-07-06 02:14:44 EDT
python-sphinx-0.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2008-07-06 02:16:56 EDT
python-sphinx-0.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Michel Alexandre Salim 2011-12-08 10:27:27 EST
Dan Radez is requesting this package for EPEL 6; I've tested that python-sphinx 1.0.x works fine there.

Package Change Request
======================
Package Name: python-sphinx
New Branches: el6
Owners: salimma radez
InitialCC:
Comment 22 Jon Ciesla 2011-12-08 10:29:40 EST
Git done (by process-git-requests).
Comment 23 Michel Alexandre Salim 2011-12-08 11:17:00 EST
Thanks!

Note You need to log in before you can comment on or make changes to this bug.